Skip to main content
GET
/
transaction
/
{id}
/
status
Get Transaction Request Status
curl --request GET \
  --url https://hg.cash/api/v1/transaction/{id}/status \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "externalID": "<string>",
  "errorMessage": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hg.cash/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

User API authentication token with format: cash_<64-char-hex>

Example: cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2

Path Parameters

id
string<uuid>
required

Transaction request ID

Response

Status retrieved

id
string<uuid>
externalID
string | null
status
enum<string>
Available options:
PENDING,
AWAITING_REVIEW,
PROCESSING,
DONE,
ERROR,
CANCELLED
errorMessage
string | null
errorCode
enum<string> | null
Available options:
INSUFFICIENT_BALANCE,
DESTINATION_ERROR
createdAt
string<date-time>
updatedAt
string<date-time>